function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(arr, i) { var _i = null == arr ? null : "undefined" != typeof Symbol && arr[Symbol.iterator] || arr["@@iterator"]; if (null != _i) { var _s, _e, _x, _r, _arr = [], _n = !0, _d = !1; try { if (_x = (_i = _i.call(arr)).next, 0 === i) { if (Object(_i) !== _i) return; _n = !1; } else for (; !(_n = (_s = _x.call(_i)).done) && (_arr.push(_s.value), _arr.length !== i); _n = !0); } catch (err) { _d = !0, _e = err; } finally { try { if (!_n && null != _i.return && (_r = _i.return(), Object(_r) !== _r)) return; } finally { if (_d) throw _e; } } return _arr; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import React from 'react';
import { BizSelect, IconFont } from '@zgfe/business-lib';
import { Checkbox, Space } from 'antd';
var ColumnSelect = function ColumnSelect(_ref) {
  var options = _ref.options,
    value = _ref.value,
    strickType = _ref.strickType,
    selectAll = _ref.selectAll,
    _onChange = _ref.onChange;
  var _React$useState = React.useState(selectAll && (value === null || value === void 0 ? void 0 : value.length) === (options === null || options === void 0 ? void 0 : options.length)),
    _React$useState2 = _slicedToArray(_React$useState, 2),
    allChecked = _React$useState2[0],
    setAllChecked = _React$useState2[1];
  function renderLabel(node, option) {
    return /*#__PURE__*/React.createElement(Space, null, /*#__PURE__*/React.createElement(IconFont, {
      type: {
        string: 'zifuchuan',
        number: 'shuzhi',
        date: 'riqi'
      }[option.webType]
    }), /*#__PURE__*/React.createElement("span", null, option.name));
  }
  return /*#__PURE__*/React.createElement("div", {
    style: {
      minWidth: 134,
      maxWidth: '100%',
      display: 'inline-block',
      width: 'auto'
    }
  }, /*#__PURE__*/React.createElement(BizSelect, {
    options: options || [],
    customLabel: renderLabel,
    multiple: true,
    enableSearch: true,
    keyField: "name",
    labelField: "name",
    dropdownExtra: selectAll && /*#__PURE__*/React.createElement("div", {
      className: "biz-select-option biz-select-option-multiple"
    }, /*#__PURE__*/React.createElement(Checkbox, {
      checked: allChecked,
      onChange: function onChange(e) {
        setAllChecked(e.target.checked);
        _onChange === null || _onChange === void 0 ? void 0 : _onChange(e.target.checked ? options : []);
      }
    }, /*#__PURE__*/React.createElement("div", {
      style: {
        color: allChecked ? '#165dff' : undefined
      }
    }, "\u5168\u9009"))),
    disableItemList: strickType ? options === null || options === void 0 ? void 0 : options.filter(function (item) {
      return (value === null || value === void 0 ? void 0 : value.length) && value[0].webType !== item.webType;
    }) : [],
    value: value,
    onChange: _onChange
  }));
};
export default ColumnSelect;